package eu.etaxonomy.taxeditor.prototype2.view;

import org.eclipse.core.databinding.DataBindingContext;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;

import com.swtdesigner.SWTResourceManager;

public class AcceptedNameViewer extends NameViewer_ {

	AcceptedNameViewer(TaxonName taxonName, DataBindingContext bindingContext,
			Composite parent) {
		super(taxonName, bindingContext, parent);
		setViewerLayout();
	}
	
	private void setViewerLayout() {
		styledText.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 2, 1));
		styledText.setFont(SWTResourceManager.getFont("Georgia", 12, SWT.NONE));		
	}

}
