/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import java.util.Set;

import eu.etaxonomy.cdm.model.taxon.Taxon;


/**
 * @author p.ciardelli
 * @created 18.12.2008
 * @version 1.0
 */
public interface ICdmTaxonSetListener {

	public void taxaAdded(Set<Taxon> taxa);
	
	public void taxaRemoved(Set<Taxon> taxa);
	
	public void taxonMoved(Taxon taxon, Taxon newParentTaxon);
	
}
